%define NAME snes9express
%define VER  1.42
%define REL  b1
%define DEFAULT_SKIN snsp

Summary: A graphical front-end for snes9x, the SNES game console emulator.
Name: %{NAME}
Version: %{VER}
Release: %{REL}
Source: %{NAME}-%{VER}.tar.bz2
Source2: snes9x.desktop
URL: http://www.linuxgames.com/snes9express
License: GPL
Group: Applications/Emulators
BuildRoot: %{_builddir}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: i586

%description
snes9express is a graphical front-end for
snes9x, the SNES game console emulator.

%prep
%setup -q

%build
%configure
make %{_smp_mflags}

%install
rm -fr %{buildroot}
%makeinstall
echo %{DEFAULT_SKIN} > %{buildroot}%{_datadir}/%{NAME}/defaultskin

mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications/
install -m 644 %{SOURCE2} \
	${RPM_BUILD_ROOT}/usr/share/applications/

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/*
%{_datadir}/%{NAME}
%{_datadir}/applications/


##
## change log
##

%changelog
* Sat May 15 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
